gavl: Acceleration flags

gavl

Macros | Functions
Acceleration flags

CPU specific acceleration flags. More...

## Macros
#define | GAVL_ACCEL_MMX (1<<0)
| MMX.
#define | GAVL_ACCEL_MMXEXT (1<<1)
| Extended MMX (a.k.a MMX2).
#define | GAVL_ACCEL_SSE (1<<2)
| Intel SSE.
#define | GAVL_ACCEL_SSE2 (1<<3)
| Intel SSE2.
#define | GAVL_ACCEL_SSE3 (1<<4)
| Intel SSE3.
#define | GAVL_ACCEL_3DNOW (1<<5)
| AMD 3Dnow (unsupported).
#define | GAVL_ACCEL_3DNOWEXT (1<<6)
| AMD 3Dnow ext (unsupported).
#define | GAVL_ACCEL_SSSE3 (1<<7)
| Intel SSSE3.
#define | GAVL_ACCEL_AVX (1<<8)
| Intel AVX.
#define | GAVL_ACCEL_AVX2 (1<<9)
| Intel AVX.
#define | GAVL_ACCEL_NEON (1<<10)
| ARM Neon.

## Functions
GAVL_PUBLIC int | gavl_accel_supported (void)
| Get the supported acceleration flags.

## Detailed Description

CPU specific acceleration flags.

These flags are used internally by gavl to obtain the supported acceleration mechanisms at runtime. Some applications however might need them as well for other tasks, so they are exported into the public API.

## Macro Definition Documentation

## ◆ GAVL_ACCEL_MMX

#define GAVL_ACCEL_MMX (1<<0)

MMX.

## ◆ GAVL_ACCEL_MMXEXT

#define GAVL_ACCEL_MMXEXT (1<<1)

Extended MMX (a.k.a MMX2).

## ◆ GAVL_ACCEL_SSE

#define GAVL_ACCEL_SSE (1<<2)

Intel SSE.

## ◆ GAVL_ACCEL_SSE2

#define GAVL_ACCEL_SSE2 (1<<3)

Intel SSE2.

## ◆ GAVL_ACCEL_SSE3

#define GAVL_ACCEL_SSE3 (1<<4)

Intel SSE3.

## ◆ GAVL_ACCEL_3DNOW

#define GAVL_ACCEL_3DNOW (1<<5)

AMD 3Dnow (unsupported).

## ◆ GAVL_ACCEL_3DNOWEXT

#define GAVL_ACCEL_3DNOWEXT (1<<6)

AMD 3Dnow ext (unsupported).

## ◆ GAVL_ACCEL_SSSE3

#define GAVL_ACCEL_SSSE3 (1<<7)

Intel SSSE3.

## ◆ GAVL_ACCEL_AVX

#define GAVL_ACCEL_AVX (1<<8)

Intel AVX.

## ◆ GAVL_ACCEL_AVX2

#define GAVL_ACCEL_AVX2 (1<<9)

Intel AVX.

## ◆ GAVL_ACCEL_NEON

#define GAVL_ACCEL_NEON (1<<10)

ARM Neon.

## Function Documentation

## ◆ gavl_accel_supported()

GAVL_PUBLIC int gavl_accel_supported | ( | void |  | ) |

Get the supported acceleration flags.

Returns
  A combination of GAVL_ACCEL_* flags.